*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

svg, img{
  display: block;
}

:root{
  --pink-500: #ffd4e6;
  --pink-300: #FFEEF3;
  /*--secondary-color: #355463;*/
  /*--secondary-color-700: #29414d;*/
  --secondary-color: white;
  --secondary-color-700: whitesmoke;
  --light-color: #FCFCFC;
}

/* afacad-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Afacad';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/afacad-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* afacad-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Afacad';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/afacad-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* abeezee-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'ABeeZee';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/abeezee-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

h1, h2{
  font-family: 'ABeeZee';
}

h2{  
  font-weight: 400;
}

html{
  font-family: 'Afacad';
}

body{
  min-height: 100svh;
  background-color: var(--light-color);
  font-size: 16px;
}

header{
  padding: 2.25em;
  display: flex;
  flex-wrap: wrap;
  font-family: 'ABeeZee';
  margin-inline: auto;
  justify-content: space-between;
}

.emails, .phones{
  display: flex;
  align-items: center;
  gap: 0.5em;
}

.hero{
  background: linear-gradient(155deg, var(--pink-500) 25%, var(--pink-300) 80%);
  padding-inline: 2em;
}
.hero__wrap{
  display: flex;
  flex-direction: column-reverse;
  margin-inline: auto;
  align-items: center;
  position: relative;
  padding-block: 5em;
}
.hero__data{
  display: grid;
  gap: 2em;
  font-size: 1.5em;
  padding-left: 2em;
}
.hero__data-one{
  display: grid;
  gap:0.75em;
}
.hero__actions{
  display: inline-flex;
  gap: 0.75em;
}

.landscape{
  display:none;
}

.hero__photo{
    height: 300px;
}
.photo{
    height:100%;
  border-radius: 1em 1em 0 0;
  overflow: hidden;
  outline: solid 0.75em var(--secondary-color);
  border: solid thin var(--secondary-color);
}
.photo img{
  height: 100%;
  transform: scaleX(-1);
}

a{
  text-decoration: none;
  color: inherit;
}

a.button{
  padding-inline: 3rem;
  padding-block: 0.75rem;
  border: solid thin black;
  border-radius: 999px;
  background-color: var(--secondary-color);
  /*color: white;*/
}
a.button:hover{
  background-color: var(--secondary-color-700);
}
a.button:active{
  background-color: var(--secondary-color);
}

.design{
  background-color: var(--secondary-color);
  /*color: white;*/
  text-align: center;
  padding-block: 5em;
  display: grid;
  gap: 1.5em;
}

@media (min-width: 860px) and (orientation:landscape){
  body{
    font-size: 16px;
  }
  header{
    padding-inline: 3em;
    flex-wrap: nowrap;
    align-items: center;
  }
  .hero{
    height: 600px;
  }
  .hero__wrap{
    display: grid;
    grid-template-columns: 1fr 1fr;
    height: 100%;
    max-width: 1200px;
    padding-block: 0;
  }
  .hero__photo{
    height: 470px;
    display: flex;
    justify-content: center;
    margin-top: 50px;
  }
  p{
    max-width: 800px;
    margin: auto;
  }
  .hero__data{
    margin-top: 1.5em;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  .landscape{
    display: block;
  }
  h1{
    font-size: 3rem;
  }
}

@media (min-width: 1400px) {
  body{
    font-size: 20px;
  }
  header{
    padding-inline: 0;
    max-width: 1440px;
  }
  h1{
    font-size: 4rem;
  }
  .hero{
    height: 700px;
  }
  .hero__wrap{
    max-width: 1400px;
  }
  .hero__photo{
    height: 550px;
    margin-top: 50px;
  }
}

@media screen and (orientation:portrait) {
  header{
    justify-content: center;
  }
  .emails{
      flex-direction:column;
      gap: 0;
  }
  .hero__wrap{
    gap: 3em;
  }
  .hero__data{
    text-align: center;
    gap: 2em;
    padding-left: 0;
  }
  .hero__actions{
    display: flex;
    justify-content: center;
    flex-direction: column;
  }
  .photo{
      outline-width: 0.5em;
  }
  .design{
    padding: 2em;
  }
}